Package org.opentcs.drivers.vehicle

# Class LoadHandlingDevice

java.lang.Object
org.opentcs.drivers.vehicle.LoadHandlingDevice

All Implemented Interfaces:
  `java.io.Serializable`

    public class LoadHandlingDevice
    extends java.lang.Object
    implements java.io.Serializable

Describes a single load handling device on a vehicle.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LoadHandlingDevice​(java.lang.String label, boolean full)` | Creates a new LoadHandlingDevice.
  `LoadHandlingDevice​(LoadHandlingDevice original)` | Creates a new LoadHandlingDevice as a copy of the given one.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` |
  `java.lang.String` | `getLabel()` | Returns this load handling device's name/label.
  `int` | `hashCode()` |
  `boolean` | `isFull()` | Returns a flag indicating whether this device is filled to its maximum capacity or not.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoadHandlingDevice

    public LoadHandlingDevice​(java.lang.String label, boolean full)
    Creates a new LoadHandlingDevice.
    Parameters:
      `label` - The device's name/label.
      `full` - A flag indicating whether this device is filled to its maximum capacity or not.

  - ### LoadHandlingDevice

    public LoadHandlingDevice​(LoadHandlingDevice original)
    Creates a new LoadHandlingDevice as a copy of the given one.
    Parameters:
      `original` - The instance to be copied.

- ## Method Details

  - ### getLabel

    public java.lang.String getLabel()
    Returns this load handling device's name/label.
    Returns:
      This load handling device's name/label.

  - ### isFull

    public boolean isFull()
    Returns a flag indicating whether this device is filled to its maximum capacity or not.
    Returns:
      A flag indicating whether this device is filled to its maximum capacity or not.

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Overrides:
      `equals` in class `java.lang.Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `java.lang.Object`